Livrable/Gestionnaire_de_Projets/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();

Route::get('notif', function(){
});
Route::get('/user/notif/seen/{data}','HomeController@notifSeen')->name('user.notif.seen');
Route::get('/admin/register', 'HomeController@adminRegisterIndex')->name('admin.register.index');//->middleware('admin')
Route::post('/admin/register/save', 'HomeController@firstAdminStore')->name('admin.register.save');

Route::get('/register', 'UserController@registerIndex')->name('register.index');/*->middleware('can:create,App\User');*/
Route::get('/register/save', 'UserController@store')->name('register.save');

Route::get('/', 'HomeController@index')->name('home.index');

Route::resource('Projects','ProjectController');
Route::resource('Tasks','TaskController');

Route::get('/{id}/myProjects','ProjectController@ManagerProjets')->name('Project.ManagerProjets');

Route::match(['PUT', 'PATCH'],'/Tasks/{id}/save','TaskController@updateProgress')->name('Tasks.updateProgress');
//Route::match(['PUT', 'PATCH'], '/Tasks/{id}/add/{empid}',)->name('Tasks.addEmployee');
Route::get('Tasks/delete/{id}/{empid}','TaskController@deleteEmployee')->name('Tasks.deleteEmployee');
Route::get('Tasks/add/{id}/{empid}','TaskController@addEmployee')->name('Tasks.addEmployee');

Route::get('/{id}/myTasks','TaskController@MyTasks')->name('Tasks.MyTasks');
Route::get('/addTask/{id_proj}','TaskController@addTaskToPrj')->name('Tasks.addTaskToPrj');/* ~~ */

Route::resource('Clients','ClientController');
Route::resource('Users','UserController');
Route::get('User/editPassword','UserController@editPassword')->name('User.editPassword');
Route::match(['PUT', 'PATCH'],'User/updatePassword','UserController@updatePassword')->name('User.updatePassword');


Route::get('/Userprofile/{id}','UserController@showProfile')->name('User.Profile');
Route::post('/profile/{userID}','UserController@update_avatar')->name('User.updateAvatar');

Route::get('datatables/{name}', 'HomeController@index2')->name('datatables');
Route::get('datatables/getdata/{name}', 'HomeController@getData')->name('datatables.getdata');

// Route::get('ajaxdata/removedata/{name}', 'HomeController@removedata')->name('datatables.removedata');
Route::get('ajaxdata/massremove/{name}', 'HomeController@massremove')->name('datatables.massremove');
Route::get('calendar','CalendarController@index')->name('calendar.index');
Route::post('calendar','CalendarController@addProject')->name('calendar.addProject');
?>

Livrable/Gestionnaire_de_Projets/app/Client.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
  protected $fillable =
	[ 'registrationNumber','name','email','address','phoneNumber','comment' ];

	public function projects(){
		return $this->hasMany('App\Project');
	}
}

Livrable/Gestionnaire_de_Projets/app/Http/Controllers/ClientController.php
<?php

namespace App\Http\Controllers;
use Illuminate\Contracts\Auth\Authenticatable;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;


use App\Client;

class ClientController extends Controller
{

	public function __construct(){

$this->middleware('admin',['except' => ['show']]);
}
	/**
		* Display a listing of the resource.
		*
		* @return \Illuminate\Http\Response
		*/
	public function index()
	{
		$cs = Client::all();

		return view('Clients.index')->withClients($cs);

	}

	/**
		* Show the form for creating a new resource.
		*
		* @return \Illuminate\Http\Response
		*/
	public function create()
	{
		return view('Clients.create');
	}

	/**
		* Store a newly created resource in storage.
		*
		* @param  \Illuminate\Http\Request  $request
		* @return \Illuminate\Http\Response
		*/
	public function store(Request $request)
	{
		$c = new Client([
			'registrationNumber' => $request->registrationNumber,
			'name' => $request->name,
			'email' => $request->email,
			'address' => $request->address,
			'phoneNumber' => $request->phoneNumber,
			'comment' => $request->comment,
		]);
		$c->save();

		flash('Client créer avec succès !')->success();
		return redirect()->route('Clients.show',$c->id)->withClient($c);
	}

	/**
		* Display the specified resource.
		*
		* @param  int  $id
		* @return \Illuminate\Http\Response
		*/
	public function show($id)
	{
		$c = Client::find($id);
		return view('Clients.show')->withClient($c);
	}

	/**
		* Show the form for editing the specified resource.
		*
		* @param  int  $id
		* @return \Illuminate\Http\Response
		*/
	public function edit($id)
	{
		$c = Client::find($id);
		return view('Clients.edit')->withClient($c);
	}

	/**
		* Update the specified resource in storage.
		*
		* @param  \Illuminate\Http\Request  $request
		* @param  int  $id
		* @return \Illuminate\Http\Response
		*/
	public function update(Request $request, $id)
	{
		$c = Client::find($id);

		$c->registrationNumber = $request->registrationNumber;
		$c->name = $request->name;
		$c->email = $request->email;
		$c->address = $request->address;
		$c->phoneNumber = $request->phoneNumber;
		$c->comment = $request->comment;

		$c->save();
		flash('Client enregistré avec succès !')->success();

		return redirect()->route('Clients.show',$id)->withClient($c);
	}

	/**
		* Remove the specified resource from storage.
		*
		* @param  int  $id
		* @return \Illuminate\Http\Response
		*/
	public function destroy($id)
	{
		$c = Client::find($id);

		$c->delete();

		flash('Client supprimé avec succès !')->warning();
		return route('Clients.index');
	}
}

Livrable/Gestionnaire_de_Projets/resources/views/Clients/create.blade.php
@extends('layouts.structure')

@section('content')

<style> h2{ color: green; } </style>
 <div class="page-header">
		<div class="form-group align-center">
			     	 <h2>Nouveau Client </h2>  </div>
</div>
<br>
<form role="form" method="post" action="{{action('ClientController@store')}}">
<input type="hidden" name="_token" value="{!! csrf_token() !!}">

	<div class="form-group">
		<label for="title" class="col-form-label">Numéro d'enregistrement :</label>
		<input type="text" class="form-control" name="registrationNumber" required >
	</div>

 <div class="form-row">
  	<div class="form-group col-6">
  		<label for="title" class="col-form-label">Nom :</label>
  		<input type="text" class="form-control" name="name" required>
  	</div>

  	<div class="col">
      <div class="form-group">
          <label for="title" class="col-form-label">Email :</label>
          <input type="text" class="form-control" name="email" placeholder="email@exemple.com" required>
      </div>
    </div>
</div>

 <div class="form-row">
  	<div class="form-group col-6">
  		<label for="title" class="col-form-label">Adresse :</label>
  		<input type="text" class="form-control" name="address" required>
  	</div>

  	<div class="col">
      <div class="form-group">
          <label for="title" class="col-form-label">Numéro de téléphone :</label>
          <input type="text" class="form-control" name="phoneNumber" required>
      </div>
    </div>
</div>
	<div class="form-group">
		<label class="col-form-label">Commentaire :</label>
		<textarea type="text" class="form-control" name="comment" value="comment" required></textarea>
	</div>


<input type="submit" class="btn btn-success btn-h1-spacing fas fa-plus float-lg-right" value="Ajouter">
</form>

@endsection

Livrable/Gestionnaire_de_Projets/resources/views/Clients/index.blade.php
@extends('layouts.structure')

@section('csss')
	@parent
	<link href="{{ asset('fonts/fontawesome/css/all.css') }}" rel="stylesheet">
	<style> h2{ color: green; } i{padding-top: 10%;}</style>
	    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
@endsection

@section('content')

<style> h2{ color: green; } </style>
 <div class="page-header">
		<div class="form-group align-center">
			     	 <h2>Liste des Clients</h2>  </div>
</div>
<br><br>

<div class="float-right">
  <a class="nav-link" href="{{ route('Clients.create') }}">Nouveau Client</a>
</div>

<table class="table" id="dtTest">
<thead>
	<tr>
		<th scope="col" class="d-none d-lg-block" style="border-bottom:none;">Email</th>
		<th scope="col">Numéro d'enregistrement</th>
		<th scope="col" class="d-none d-lg-block" style="border-bottom:none;">Téléphone</th>
		<th scope="col">Nom</th>
		<th scope="col" class="d-none d-lg-block" style="border-bottom:none;">Commentaire</th>
		<th scope="col"></th>
	</tr>
</thead>
<tbody>
	@foreach($clients as $c)
	<tr>
		<td scope="row" class="d-none d-lg-block">{{$c->email}}</th>
		<th scope="row">{{$c->registrationNumber}}</th>
		<td scope="row" class="d-none d-lg-block">{{$c->phoneNumber}}</th>
		<td scope="row">{{$c->name}}</th>
		<td scope="row" class="d-none d-lg-block">{{$c->comment}}</th>
		<td scope="row">
			<form action="{{ route('Clients.show',$c->id) }}" id="show{{$c->id}}" method="get"></form>
			<form action="{{ route('Clients.edit',$c->id) }}" id="edit{{$c->id}}" method="get"></form>
			<form action="{{ route('Clients.destroy',$c->id) }}" id="delete{{$c->id}}" method="post">
				{!! method_field('delete') !!}{!! csrf_field() !!}
			</form>
			<div class="btn-group" role="group" aria-label="Basic example">
				<i class="btn btn-success far fa-eye text-dark" onclick="$('#show{{$c->id}}').submit();" value="v"></i>
				<i class="btn btn-primary fa fa-pencil-alt text-dark" onclick="$('#edit{{$c->id}}').submit();" value="m"></i>
				{{-- <i class="btn btn-danger fas fa-times text-dark" onclick="$('#delete{{$c->id}}').submit();" value="s"></i> --}}
			</div>
		</td>
	</tr>
	@endforeach
</tbody>
</table>
@endsection

@section('jss')
@parent

    {{-- <script src="https://code.jquery.com/jquery-3.4.1.js"></script> --}}
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    {{-- <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script> --}}



<script>
	$('#dtTest').dataTable({
		language: {
			"decimal":        "",
			"emptyTable":     "Aucune donnée disponible.",
			"info":           "Afficher de _START_ à _END_ de _TOTAL_ entrées",
			"infoEmpty":      "Afficher 0 à 0 de 0 entrées",
			"infoFiltered":   "(filtré à partir des entrées totales _MAX_)",
			"infoPostFix":    "",
			"thousands":      ",",
			"lengthMenu":     "Afficher _MENU_ entrées",
			"loadingRecords": "Chargement...",
			"processing":     "En cours de traitement...",
			"search":         "Chercher:",
			"zeroRecords":    "Aucun enregistrements correspondants trouvés",
			"paginate": {
				"first":      "Premier",
				"last":       "Dernier",
				"next":       "Suivant",
				"previous":   "Précédent"
			},
			"aria": {
				"sortAscending":  ": activer pour trier par ordre croissant",
				"sortDescending": ": activer pour trier par ordre décroissant"
			}
		}
	});
</script>

@endsection